Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Interface GlobalInfoListener

All Superinterfaces:
  java.util.EventListener

    public interface GlobalInfoListener

extends java.util.EventListener

The listener interface that is notified when the global settings of the sampler are changed.

Method Summary
`void` | `streamLimitChanged(GlobalInfoEvent e)` Invoked when the global sampler-wide limit of maximum disk streams is changed.
`void` | `voiceLimitChanged(GlobalInfoEvent e)` Invoked when the global sampler-wide limit of maximum voices is changed.
`void` | `volumeChanged(GlobalInfoEvent e)` Invoked when the global volume of the sampler is changed.

Method Detail

### volumeChanged

    void volumeChanged(GlobalInfoEvent e)

  Invoked when the global volume of the sampler is changed.

### voiceLimitChanged

    void voiceLimitChanged(GlobalInfoEvent e)

  Invoked when the global sampler-wide limit of maximum voices is changed.

### streamLimitChanged

    void streamLimitChanged(GlobalInfoEvent e)

  Invoked when the global sampler-wide limit of maximum disk streams is changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.